App\Entity\Booking:
    type: entity
    table: booking
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        reference:
            type: string
            length: 255
            fixed: false
            nullable: false
        titre:
            type: string
            length: 255
            fixed: false
            nullable: false
        objet:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        dateTimeDebut:
            type: datetime
            nullable: true
        dateTimeFin:
            type: datetime
            nullable: true
        nom:
            type: string
            length: 255
            nullable: true
        prenom:
            type: string
            length: 255
            nullable: true
        tel:
            type: string
            length: 255
            nullable: true
        email:
            type: string
            length: 255
            nullable: true
        matricule:
            type: string
            length: 255
            nullable: true
        chassis:
            type: string
            length: 255
            nullable: true
        estHonore:
            type: boolean
            nullable: true
        motscles:
            type: text
            nullable: true
        estValide:
            type: boolean
            nullable: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: bookings
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        bookingType:
            targetEntity: BookingType
            cascade: {  }
            mappedBy: null
            inversedBy: bookings
            joinColumns:
                booking_type_id:
                    referencedColumnName: id
            orphanRemoval: false
        client:
            targetEntity: Client
            cascade: {  }
            mappedBy: null
            inversedBy: bookings
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: false
        vehicule:
            targetEntity: Vehicule
            cascade: {  }
            mappedBy: null
            inversedBy: bookings
            joinColumns:
                vehicule_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: bookings
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false